local M = {}

M.defaults = {
    model = "gemini-2.0-flash",
    api_url = "https://generativelanguage.googleapis.com/v1/models/%s:generateContent",  -- Updated URL format
    window = {
        width = function() return math.floor(vim.o.columns / 3) end,
        height = function() return vim.o.lines - 2 end,
        border = "rounded",
        title = "Gemini Chat Session",
        title_pos = "center",
    },
    mappings = {
        close = 'q',
        return_focus = '<Esc>',
        new_query = 'i',
    },
    highlights = {
        user = "GeminiUser",
        separator = "GeminiSeparator",
    },
}

M.options = {}

function M.setup(opts)
    M.options = vim.tbl_deep_extend("force", {}, M.defaults, opts or {})
end

return M